Loading...
Searching...
No Matches
uhd::rfnoc::custom_register_space Struct Reference

`#include <uhd/rfnoc/register_iface.hpp>`

## Public Attributes

uint32_t | end_addr
std::function< void(uint32_t, uint32_t)> | poke_fn
std::function< uint32_t(uint32_t)> | peek_fn

## Detailed Description

custom_register_space doesn't store start_addr, as start_addr should be stored as the key value for the map that keeps track of custom register spaces

## Member Data Documentation

## end_addr

uint32_t uhd::rfnoc::custom_register_space::end_addr

## peek_fn

std::function<uint32_t(uint32_t)> uhd::rfnoc::custom_register_space::peek_fn

## poke_fn

std::function<void(uint32_t, uint32_t)> uhd::rfnoc::custom_register_space::poke_fn

The documentation for this struct was generated from the following file:

- register_iface.hpp